Package org.apache.sling.maven.feature.launcher

# Class ProcessTracker

java.lang.Object
org.apache.sling.maven.feature.launcher.ProcessTracker

@Named @Singleton public class ProcessTracker extends Object

## Constructor Summary

Constructors
Constructor
Description
`ProcessTracker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`startTracking(String launchId, Process process)`
`void`
`stop(String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProcessTracker

public ProcessTracker()

## Method Details

### startTracking

public void startTracking(String launchId, Process process)

### stop

public void stop(String id) throws InterruptedException

Throws:
  `InterruptedException`